Bug 207450 - science/orthanc: update to 1.0.0
Summary: science/orthanc: update to 1.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks: 207451 207452 207453
  Show dependency treegraph
 
Reported: 2016-02-24 05:52 UTC by mp39590
Modified: 2016-03-21 13:52 UTC (History)
2 users (show)

See Also:


Attachments
patch (1.76 KB, patch)
2016-02-24 05:52 UTC, mp39590
mp39590: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mp39590 2016-02-24 05:52:45 UTC
Created attachment 167344 [details]
patch

- update from 0.9.4 to 1.0.0
Comment 1 Raphael Kubo da Costa freebsd_committer 2016-02-28 15:13:06 UTC
> -# $FreeBSD$
This seems to have been removed by mistake.
Comment 2 mp39590 2016-02-29 07:27:26 UTC
(In reply to Raphael Kubo da Costa from comment #1)
> > -# $FreeBSD$
> This seems to have been removed by mistake.

I don't think we need a tag anymore, I'd let a committer to decide whether to keep it or not.
Comment 3 Raphael Kubo da Costa freebsd_committer 2016-02-29 10:34:36 UTC
(In reply to mp39590 from comment #2)
> I don't think we need a tag anymore, I'd let a committer to decide whether
> to keep it or not.

A committer like me? ;)

The $FreeBSD$ tag is not optional: all Makefiles are supposed to have them. It's covered in a bit more detail in https://www.freebsd.org/doc/en/books/porters-handbook/book.html#porting-makefile and https://www.freebsd.org/doc/en/books/porters-handbook/book.html#porting-samplem.
Comment 4 Raphael Kubo da Costa freebsd_committer 2016-02-29 10:36:09 UTC
Can this update be landed independently from the bugs it blocks (ie. the existing versions of the orthanc-* ports will continue working with an updated orthanc) or do they all actually need to be committed together?
Comment 5 mp39590 2016-02-29 13:49:01 UTC
They're supposed to be committed together or with short interval in-between.
Comment 6 Raphael Kubo da Costa freebsd_committer 2016-02-29 13:50:56 UTC
Sorry, but that's not a satisfactory answer: either the science/orthanc update breaks the dependent ports or it does not. If it does, everything must be committed together; if it doesn't, it shouldn't matter how long it takes for the updates to the dependent ports to be committed.
Comment 7 mp39590 2016-02-29 14:12:45 UTC
They're supposed to be committed together, will it be done in 1 commit or in 4 (with short intervals) probably regulated by internal committer rules which are unknown for me.
Comment 8 commit-hook freebsd_committer 2016-03-16 10:36:44 UTC
A commit references this bug:

Author: rakuco
Date: Wed Mar 16 10:36:35 UTC 2016
New revision: 411220
URL: https://svnweb.freebsd.org/changeset/ports/411220

Log:
  Update to 1.0.0.

  PR:		207450
  Submitted by:	mp39590@gmail.com (maintainer)

Changes:
  head/science/orthanc/Makefile
  head/science/orthanc/distinfo
  head/science/orthanc/pkg-plist
Comment 9 Raphael Kubo da Costa freebsd_committer 2016-03-16 10:37:26 UTC
Committed after restoring the $FreeBSD$ that you did not add back.
Comment 10 Erez 2016-03-21 13:04:50 UTC
Hi, can you please provide entire makefile content... not sure where/how to apply the patch

Thanks.
Comment 11 Raphael Kubo da Costa freebsd_committer 2016-03-21 13:52:00 UTC
The patch in this bug report has already been applied and should already be part of your ports tree.